### Property

# Clutter Actor:show-on-set-parent

#### Declaration

    property show-on-set-parent: gboolean [ read, write ]

#### Description [src]

If `TRUE`, the actor is automatically shown when parented.

Calling `clutter_actor_hide()` on an actor which has not been parented will set this property to `FALSE` as a side effect.

Type:`gboolean`

Default value | TRUE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no